<?php
/*
Plugin Name: Skloogs Reverb
Plugin URI: http://tec.skloogs.com/dev/plugins/skloogs-reverb
Description: This plugin displays ReverbNation widgets on your blog. After installation, configure the default <a href="options-general.php?page=skreverb/skreverb.php" alt="Settings">settings</a>.
Version: 1.0.1
Author: Philippe Hilger
Author URI: http://www.peergum.com

  Copyright 2010  Philippe Hilger  (hilgerph@yahoo.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

$SkRNDomain = "skloogs-reverb";
$SkRNVersion = "1.0.1";
$SkRNStartTmpl='<div class="SkReverb"><center>';

$SkRNEndTmpl='<br/>
<small>&copy; 2010 Plugin <i><a target=_blank href="http://tec.skloogs.com/dev/plugins/skloogs-reverb" alt="SkReverb v.'.$SkRNVersion.'">SkReverb</a></i> by Philippe Hilger/<a href="http://www.reverbnation.com/peergum" alt=PeerGum target=_blank>PeerGum</a>.</small>' .
		'</center></div>';

function SkRN_get($codes) {
	global $SkRNStartTmpl,$SkRNEndTmpl;
	
	// TuneWidget Template
	$SkRNTuneWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/19/tuneWidget.swf?twID={FUNCTION}_{RNID}&posted_by={FUNCTION}_{RNID}&shuffle={SHUFFLE}&autoPlay={AUTOPLAY}&blogBuzz={BLOGBUZZ}" height="415" width="434"/>' .
			'<br/><a href="http://www.reverbnation.com/rpk" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/19/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;">' .
			'<img alt="Sample band press kits" border="0" height="19" src="http://cache.reverbnation.com/widgets/content/19/footer.png" width="434" /></a>' .
			'<img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/19/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	
	//$SkRNAdTmpl='<a target=_blank href="http://br.advfn.com/p.php?pid=qkchart&symbol={MARKET}^{SHARECODE}" alt="ADVFN"><img width="{WIDTH}" height="{HEIGHT}" src="http://br.advfn.com/p.php?pid=staticchart&s={MARKET}%3A{SHARECODE}&p={PERIOD}&t={CHTYPE}&vol={VOLUME}" alt="{SHARECODE}" /></a>';
	
	// ShowWidget Templates
	$SkRNLargeShowWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/14/venue_schedule.swf?venueId={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}" height="600" width="434" /><br/><a href="http://www.reverbnation.com/fanreachpro" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/14/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="Band email marketing" border="0" height="19" src="http://cache.reverbnation.com/widgets/content/14/footer.png" width="434" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/14/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	$SkRNSmallShowWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/10/schedule.swf?bandId={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&view={DISPMODE}&posted_by={FUNCTION}_{RNID}" height="247" width="434" /><br/><a href="http://www.reverbnation.com/rpk" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/10/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="Electronic Press Kit" border="0" height="19" src="http://cache.reverbnation.com/widgets/content/10/footer.png" width="434" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/10/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	$SkRNBlogShowWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/29/schedule.swf?bandId={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}" height="300" width="180"/><br/><a href="http://www.reverbnation.com/sitebuilder" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/29/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="Band website builder" border="0" height="12" src="http://cache.reverbnation.com/widgets/content/29/footer.png" width="180" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/29/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	
	// ShowWidget Templates
	$SkRNShowsMapWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/12/schedule.swf?bandId={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&view={DISPMODE}&posted_by={FUNCTION}_{RNID}" height="538" width="434" /><br/><a href="http://www.reverbnation.com/main/tunewidget_overview" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/12/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="Web music player" border="0" height="19" src="http://cache.reverbnation.com/widgets/content/12/footer.png" width="434" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/12/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	
	// PlayerWidget Templates
	$SkRNPlayerWidgetTmpl='<embed type="application/x-shockwave-flash"  src="http://cache.reverbnation.com/widgets/swf/15/widgetPlayer.swf?emailPlaylist={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}&shuffle={SHUFFLE}&autoPlay={AUTOPLAY}" height="228" width="434" /><br/><a href="http://www.reverbnation.com/distro" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/15/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="iTunes get music on" border="0" height="19" src="http://cache.reverbnation.com/widgets/content/15/footer.png" width="434" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/15/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	$SkRNBlogPlayerWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/28/blog_player.swf?emailPlaylist={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}&shuffle={SHUFFLE}&autoPlay={AUTOPLAY}" height="300" width="180"/><br/><a href="http://www.reverbnation.com/sitebuilder" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/28/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="Band website builders" border="0" height="12" src="http://cache.reverbnation.com/widgets/content/28/footer.png" width="180" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/28/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	$SkRNMiniPlayerWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/13/widgetPlayerMini.swf?emailPlaylist={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}&shuffle={SHUFFLE}&autoPlay={AUTOPLAY}" height="83" width="262" /><br/><a href="http://www.reverbnation.com/rpk" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/13/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="Electronic press kits" border="0" height="12" src="http://cache.reverbnation.com/widgets/content/13/footer.png" width="262" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/13/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	$SkRNMicroPlayerWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/31/widgetPlayerMicro.swf?emailPlaylist={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}&shuffle={SHUFFLE}&autoPlay={AUTOPLAY}" height="125" width="160" wmode="transparent"/><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/31/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	
	// VideoGalleryWidget Template
	$SkRNVideoGalleryWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/33/video_gallery_widget.swf?page_object_id={FUNCTION}_{RNID}&id={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&autoPlay={AUTOPLAY}" height="374" width="332" /><br/><a href="http://www.reverbnation.com/gigfinder" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/33/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="Land Gigs" border="0" height="19" src="http://cache.reverbnation.com/widgets/content/33/footer.png" width="332" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/33/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	
	// FanCollectorWidget Templates
	$SkRNFanCollectorWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/11/fancollector.swf?page_object_id={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}" height="100" width="434" /><br/><a href="http://www.reverbnation.com/main/widgets_overview" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/11/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="stand alone player" border="0" height="19" src="http://cache.reverbnation.com/widgets/content/11/footer.png" width="434" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/11/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	$SkRNBlogFanCollectorWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/30/fancollector.swf?page_object_id={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}" height="180" width="180"/><br/><a href="http://www.reverbnation.com/sitebuilder" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/30/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="Band website hosting" border="0" height="12" src="http://cache.reverbnation.com/widgets/content/30/footer.png" width="180" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/30/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	$SkRNStreetTeamCollectorWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/11/fancollector.swf?page_object_id={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}&street_team=true" height="100" width="434" /><br/><a href="http://www.reverbnation.com/gigfinder" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/11/{RNID}/{UP_FUNCTION}/0/User/link?street_team=true&quot;; return false;"><img alt="Land Gigs" border="0" height="19" src="http://cache.reverbnation.com/widgets/content/11/footer.png" width="434" /></a><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/11/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	
	// StoreWidget Template
	$SkRNStoreWidgetTmpl='<div style="position:relative"><object width="{WIDTH}" height="{HEIGHT}"><param name="movie" value="http://ws.audiolife.com/Webservices/GetWidget.aspx?r=a&userId={STOREID}&swfpath=http://cache.audiolife.com/Widget/&wsBasePath=http://ws.audiolife.com/Webservices/&publicFSBasePath=http://cache.audiolife.com/PublicFS/&widgettype=reverbnation"></param><param name="allowFullScreen" value="true"></param><param name="FlashVars" value="r=a&userId={STOREID}&swfpath=http://cache.audiolife.com/Widget/&wsBasePath=http://ws.audiolife.com/Webservices/&publicFSBasePath=http://cache.audiolife.com/PublicFS/&widgettype=reverbnation&track_img=http://www.reverbnation.com/widgets/trk/38/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"></param><param name="allowScriptAccess" value="always"></param><embed type="application/x-shockwave-flash" src="http://ws.audiolife.com/Webservices/GetWidget.aspx?r=a&userId={STOREID}&swfpath=http://cache.audiolife.com/Widget/&wsBasePath=http://ws.audiolife.com/Webservices/&publicFSBasePath=http://cache.audiolife.com/PublicFS/&widgettype=reverbnation&posted_by={FUNCTION}_{RNID}" allowfullscreen="true" allowScriptAccess="always" FlashVars="r=a&userId={STOREID}&swfpath=http://cache.audiolife.com/Widget/&wsBasePath=http://ws.audiolife.com/Webservices/&publicFSBasePath=http://cache.audiolife.com/PublicFS/&widgettype=reverbnation&track_img=http://www.reverbnation.com/widgets/trk/38/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif" height="{HEIGHT}" width="{WIDTH}" wmode="opaque"/><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/38/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/></div>';
	
	// GrabBoxWidget Template
	$SkRNGrabBoxWidgetTmpl='<div style="position:relative"><embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/25/grab_box.swf?page_object_id={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}" height="{HEIGHT}" width="{WIDTH}" wmode="opaque"/><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/25/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/><a href="http://www.reverbnation.com/peergum"><img alt="Blank" height="26" src="http://cache.reverbnation.com/images/blank.gif" style="border:none !important;position:absolute;top:0;left:0;width:300px;height:26px;" width="{WIDTH}" /></a><a href="http://www.reverbnation.com/sitebuilder" onclick="javascript:window.location.href=&quot;http://www.reverbnation.com/c./a4/25/{RNID}/{UP_FUNCTION}/0/User/link&quot;; return false;"><img alt="Band website builders" height="16" src="http://cache.reverbnation.com/images/blank.gif" style="border:none !important;position:absolute;bottom:0px;left:0;width:300px;height:16px;" width="{WIDTH}" /></a></div>';
	
	// PressWidget Template
	$SkRNPressWidgetTmpl='<embed type="application/x-shockwave-flash" src="http://cache.reverbnation.com/widgets/swf/32/press.swf?page_object_id={FUNCTION}_{RNID}&backgroundcolor={BGCOLOR}&font_color={FONTCOLOR}&posted_by={FUNCTION}_{RNID}" height="110" width="434" wmode="transparent"/><br/><img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://www.reverbnation.com/widgets/trk/32/{FUNCTION}_{RNID}/{FUNCTION}_{RNID}/t.gif"/>';
	
	
	$applets = $SkRNStartTmpl;
	
	$defwidth=get_option('SkRNDefWidth');
	$defheight=get_option('SkRNDefHeight');
	$defbgcolor=get_option('SkRNBgColor');
	$deftxtcolor=get_option('SkRNTxtColor');
	$defautoplay=get_option('SkRNAutoplay');
	$defshuffle=get_option('SkRNShuffle');
	$defblogbuzz=get_option('SkRNBlogBuzz');
	$defdispmode=get_option('SkRNDispMode');
	$deflabelid=get_option('SkRNLabelID');
	$defartistid=get_option('SkRNArtistID');
	$defvenueid=get_option('SkRNVenueID');
	$defstoreid=get_option('SkRNStoreID');
	$deffanid=get_option('SkRNFanID');
	if (preg_match_all("/\[reverb\s+(([a-zA-Z0-9=:|]+[, ;]*)+)\]/",$codes,$ncodes)) {
		foreach ($ncodes[1] as $ucode) {
			$ecode = preg_split("/[, ;]+/",$ucode);
			foreach ($ecode as $code) {
				$width = $defwidth;
				$height = $defheight;
				$bgco = ($defbgcolor!='')?$defbgcolor:"EEEEEE";
				$txtco = ($deftxtcolor!='')?$deftxtcolor:"000000";
				$autoplay = ($defautoplay=="true")?"true":"false";
				$shuffle = ($defshuffle=="true")?"true":"false";
				$blogbuzz = ($defblogbuzz=="blog")?"blog":"buzz";
				$dispmode = ($defdispmode=="smart")?"smart":(($defdispmode=="list")?"list":"details");
				$labelid = $deflabelid;
				$artistid = $defartistid;
				$venueid = $defvenueid;
				$storeid = ($defstoreid=='')?'23838':$defstoreid;
				$fanid = $deffanid;
				$rnfunction = ($artistid != '')?"artist":(($labelid != '')?"label":(($venueid != '')?"venue":(($fanid != '')?"fan":"artist")));
				$rnupfunction = ucwords($rnfunction);
				$rnid = ($artistid != '')?$artistid:(($labelid != '')?$labelid:(($venueid != '')?$venueid:(($fanid != '')?$fanid:664725)));
				$attr = split('=',$code);
				if (count($attr)>1) {
					$tattr = split('\|',$attr[1]);
					foreach ($tattr as $vattr) {
						$xat=split(':',$vattr);
						switch ($xat[0]) {
							case 'w':
								$width = $xat[1];
								break;
							case 'h':
								$height = $xat[1];
								break;
							case 'bg':
								$bgco = $xat[1];
								break;
							case 'tx':
								$txtco = $xat[1];
								break;
							case 'a': // autoplay
								switch ($xat[1]) {
									case 'true':
										$autoplay = 'true';
										break;
									case 'false':
										$autoplay = 'false';
										break;
								}
								break;
							case 's': // shuffle
								switch ($xat[1]) {
									case 'true':
										$shuffle = 'true';
										break;
									case 'false':
										$shuffle = 'false';
										break;
								}
								break;
							case 'd': // display
								switch ($xat[1]) {
									case 'list':
										$dispmode = 'list';
										break;
									case 'details':
										$dispmode = 'details';
										break;
									case 'smart':
										$dispmode = 'smart';
										break;
								}
								break;
							case 'b': // blogbuzz
								switch ($xat[1]) {
									case 'blog':
										$blogbuzz = 'blog';
										break;
									case 'buzz':
										$blogbuzz = 'buzz';
										break;
								}
								break;
						}
					}
				}
				switch($attr[0]) {
					case 'tunes':
						$applet=$SkRNTuneWidgetTmpl;
						break;
					case 'shows':
						$applet=$SkRNSmallShowWidgetTmpl;
						break;
					case 'largeshows':
						$applet=$SkRNLargeShowWidgetTmpl;
						break;
					case 'blogshows':
						$applet=$SkRNBlogShowWidgetTmpl;
						break;
					case 'showsmap':
						$applet=$SkRNShowsMapWidgetTmpl;
						break;
					case 'player':
						$applet=$SkRNPlayerWidgetTmpl;
						break;
					case 'miniplayer':
						$applet=$SkRNMiniPlayerWidgetTmpl;
						break;
					case 'microplayer':
						$applet=$SkRNMicroPlayerWidgetTmpl;
						break;
					case 'blogplayer':
						$applet=$SkRNBlogPlayerWidgetTmpl;
						break;
					case 'videos':
						$applet=$SkRNVideoGalleryWidgetTmpl;
						break;
					case 'fans':
						$applet=$SkRNFanCollectorWidgetTmpl;
						break;
					case 'blogfans':
						$applet=$SkRNBlogFanCollectorWidgetTmpl;
						break;
					case 'streetteam':
						$applet=$SkRNStreetTeamCollectorWidgetTmpl;
						break;
					case 'store':
						$applet=$SkRNStoreWidgetTmpl;
						break;
					case 'grabbox':
						$applet=$SkRNGrabBoxWidgetTmpl;
						break;
					case 'press':
						$applet=$SkRNPressWidgetTmpl;
						break;
					default:
						$applet='';
						break;
				}
				$applet = str_replace('{FUNCTION}',$rnfunction,$applet);
				$applet = str_replace('{UP_FUNCTION}',$rnupfunction,$applet);
				$applet = str_replace('{HEIGHT}',$height,$applet);
				$applet = str_replace('{WIDTH}',$width,$applet);
				$applet = str_replace('{BGCOLOR}',$bgco,$applet);
				$applet = str_replace('{FONTCOLOR}',$txtco,$applet);
				$applet = str_replace('{RNID}',$rnid,$applet);
				$applet = str_replace('{AUTOPLAY}',$autoplay,$applet);
				$applet = str_replace('{SHUFFLE}',$shuffle,$applet);
				$applet = str_replace('{DISPMODE}',$dispmode,$applet);
				$applet = str_replace('{BLOGBUZZ}',$blogbuzz,$applet);
				$applet = str_replace('{STOREID}',$storeid,$applet);
				$applets .= $applet;
			}
		}
	}
	return $applets.$SkRNEndTmpl;
}

function SkRN_filter($content) {
	if (preg_match_all('/(\[reverb\s+[^\]]+\])/',$content,$sktrcodes)) {
		foreach ($sktrcodes[0] as $kk => $code) {
			$scode=SkRN_get($code);
    		$content = str_replace($code,$scode,$content);
		}
	}
    return $content;
}

function SkRN_style() {
	global $SkRNDomain;
	echo "<link rel='stylesheet' href='".plugins_url($SkRNDomain)."/style.css' type='text/css' />";
}

/*
 * Plugin desinstallation
 */
function SkRN_uninstall() {
}

/*
 * Plugin installation
 */
function SkRN_install() {
}

function SkRN_menu() {
	global $SkRNDomain;
	$SkMenuMode=get_option('SkMenuMode');
	$SkMenuMode="Settings";
	switch($SkMenuMode) {
		case 'Skloogs':
			if (!function_exists('SkOptions')) {
				function SkOptions() {
				  echo '<div class="wrap">';
				  echo '<p>'.__('This section provides access to all options for the Skloogs plugins '
				  . 'you have installed.',$SkRNDomain).'</p>';
				  echo '</div>';
				}
				function SkOptionsFile() {
					return __FILE__;
				}
				add_menu_page('Skloogs Plugins', 'Skloogs', 8, __FILE__, 'SkOptions');
			}
			$SkMenuMode='Skloogs';
			$SkMenu=SkOptionsFile();
			add_submenu_page($SkMenu, 'SkReverb', 'ReverbNation', 8, __FILE__, 'SkRNOptions');		
			break;
		case 'Settings':
		default:
			$SkMenuMode='Settings';
			$SkMenu='options-general.php';
			add_options_page('ReverNation', 'ReverbNation', 8, __FILE__, 'SkRNOptions');		
			break;
	}
	update_option('SkMenuMode',$SkMenuMode);
}

function SkRNOptions() {
	global $SkRNDomain;

	if ($_POST['updated'] == 'true') SkMS_loader();
?>
	<div class="wrap">
	<h2>Skloogs ReverbNation</h2>
	
	<form method="post" action="options.php">
	<?php settings_fields('SkRNOptions'); ?>
	
	<table class="form-table">
	
	<!--
	<tr valign="top">
	<th scope="row"><?php echo __('Configuration Menu',$SkRNDomain); ?></th>
	<td><input type="radio" name="SkMenuMode" value="Settings"<?php if (get_option('SkMenuMode')=='Settings') echo ' checked'; ?> /><?php echo __('Settings',$SkRNDomain); ?><br />
	<input type="radio" name="SkMenuMode" value="Skloogs"<?php if (get_option('SkMenuMode')=='Skloogs') echo ' checked'; ?> /><?php echo __('Top Level',$SkRNDomain); ?>
	</td>
	</tr>
	-->
	 
	<tr valign="top">
	<th scope="row"><?php echo __('Label ID',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNLabelID" value="<?php echo get_option('SkRNLabelID'); ?>" />
	<?php echo __('Your Label ID',$SkRNDomain).' (number)'; ?></td>
	</tr>
	 
	<tr valign="top">
	<th scope="row"><?php echo __('Artist ID',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNArtistID" value="<?php echo get_option('SkRNArtistID'); ?>" />
	<?php echo __('Your Artist ID',$SkRNDomain).' (number)'; ?></td>
	</tr>
	 
	<tr valign="top">
	<th scope="row"><?php echo __('Venue ID',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNVenueID" value="<?php echo get_option('SkRNVenueID'); ?>" />
	<?php echo __('Your Venue ID',$SkRNDomain).' (number)'; ?></td>
	</tr>
	 
	<tr valign="top">
	<th scope="row"><?php echo __('Store ID',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNStoreID" value="<?php echo get_option('SkRNStoreID'); ?>" />
	<?php echo __('Your Store ID',$SkRNDomain).' (number)'; ?></td>
	</tr>
	 
	<tr valign="top">
	<th scope="row"><?php echo __('Fan ID',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNFanID" value="<?php echo get_option('SkRNFanID'); ?>" />
	<?php echo __('Your Fan ID',$SkRNDomain).' (number)'; ?></td>
	</tr>
	 
	<tr valign="top">
	<th scope="row"><?php echo __('Height',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNDefHeight" value="<?php echo get_option('SkRNDefHeight'); ?>" />
	<?php echo __('Default Widget Height in pixels',$SkRNDomain).' (nnn)'; ?></td>
	</tr>

	<tr valign="top">
	<th scope="row"><?php echo __('Width',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNDefWidth" value="<?php echo get_option('SkRNDefWidth'); ?>" />
	<?php echo __('Default Widget Width in pixels',$SkRNDomain).' (nnn)'; ?></td>
	</tr>

	<tr valign="top">
	<th scope="row"><?php echo __('Background Color',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNBgColor" value="<?php echo get_option('SkRNBgColor'); ?>" />
	<?php echo __('RGB Hex Value',$SkRNDomain). ' (xxxxxx)'; ?></td>
	</tr>

	<tr valign="top">
	<th scope="row"><?php echo __('Text Color',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNTxtColor" value="<?php echo get_option('SkRNTxtColor'); ?>" />
	<?php echo __('RGB Hex Value',$SkRNDomain). ' (xxxxxx)'; ?></td>
	</tr>

	<tr valign="top">
	<th scope="row"><?php echo __('Autoplay',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNAutoplay" value="<?php echo get_option('SkRNAutoplay'); ?>" />
	<?php echo __('Default Autoplay Mode',$SkRNDomain). ' (true|false)'; ?></td>
	</tr>

	<tr valign="top">
	<th scope="row"><?php echo __('Shuffle',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNShuffle" value="<?php echo get_option('SkRNShuffle'); ?>" />
	<?php echo __('Default Shuffle Mode',$SkRNDomain). ' (true|false)'; ?></td>
	</tr>

	<tr valign="top">
	<th scope="row"><?php echo __('Blog/Buzz',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNBlogBuzz" value="<?php echo get_option('SkRNBlogBuzz'); ?>" />
	<?php echo __('Default Blog/Buzz Mode',$SkRNDomain). ' (blog|buzz)'; ?></td>
	</tr>

	<tr valign="top">
	<th scope="row"><?php echo __('Shows Display Mode',$SkRNDomain); ?></th>
	<td><input type="text" name="SkRNDispMode" value="<?php echo get_option('SkRNDispMode'); ?>" />
	<?php echo __('Default Show Display Mode',$SkRNDomain). ' (list|details|smart)'; ?></td>
	</tr>


	</table>
	
	<p class="submit">
	<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
	</p>
	
	</form>
	</div>
<?php

}

function SkRN_admin_init() {
	register_setting( 'SkRNOptions', 'SkRNLabelID' );
	register_setting( 'SkRNOptions', 'SkRNArtistID' );
	register_setting( 'SkRNOptions', 'SkRNVenueID' );
	register_setting( 'SkRNOptions', 'SkRNStoreID' );
	register_setting( 'SkRNOptions', 'SkRNFanID' );
	register_setting( 'SkRNOptions', 'SkRNDefWidth' );
	register_setting( 'SkRNOptions', 'SkRNDefHeight' );
	register_setting( 'SkRNOptions', 'SkRNBgColor' );
	register_setting( 'SkRNOptions', 'SkRNTxtColor' );
	register_setting( 'SkRNOptions', 'SkRNAutoplay' );
	register_setting( 'SkRNOptions', 'SkRNShuffle' );
	register_setting( 'SkRNOptions', 'SkRNBlogBuzz' );
	register_setting( 'SkRNOptions', 'SkMenuMode' );
}

//add_action('plugins_loaded', 'SkRN_loader');
add_filter('the_content', 'SkRN_filter');
//add_filter('whitelist_options', 'SkRNWhitelist');
add_action('wp_head','SkRN_style');
if ( is_admin() ){ // admin actions
	add_action('admin_head','SkRN_style');
	//register_activation_hook(__FILE__,'SkRN_install');
	//register_deactivation_hook(__FILE__,'SkRN_uninstall');
	add_action('admin_menu', 'SkRN_menu');
	add_action('admin_init', 'SkRN_admin_init');
}
?>
